From 4dbd062f3ff49baa41f6585479c0b052a441b7e8 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 19 2024 01:20:30 +0000
Subject: [PATCH 30/220] Fix cosmic-settings


---

diff --git a/cosmic-settings/cosmic-settings.spec b/cosmic-settings/cosmic-settings.spec
index e25dae5..a34b08f 100644
--- a/cosmic-settings/cosmic-settings.spec
+++ b/cosmic-settings/cosmic-settings.spec
@@ -81,6 +81,7 @@ just rootdir=%{buildroot} install
 
 %{_bindir}/cosmic-settings
 %{_datadir}/applications/com.system76.CosmicSettings.desktop
+%{_metainfodir}/com.system76.CosmicSettings.metainfo.xml
 
 %{_datadir}/cosmic/com.system76.CosmicTheme.Dark.Builder/v1/*
 %{_datadir}/cosmic/com.system76.CosmicTheme.Dark/v1/*
@@ -95,6 +96,13 @@ just rootdir=%{buildroot} install
 %{_datadir}/icons/hicolor/scalable/status/illustration-appearance-light-style-square.svg
 %{_datadir}/icons/hicolor/scalable/status/illustration-appearance-mode-dark.svg
 %{_datadir}/icons/hicolor/scalable/status/illustration-appearance-mode-light.svg
+%{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicSettings.svg
+%{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicSettings.svg
+%{_datadir}/icons/hicolor/24x24/apps/com.system76.CosmicSettings.svg
+%{_datadir}/icons/hicolor/256x256/apps/com.system76.CosmicSettings.svg
+%{_datadir}/icons/hicolor/32x32/apps/com.system76.CosmicSettings.svg
+%{_datadir}/icons/hicolor/48x48/apps/com.system76.CosmicSettings.svg
+%{_datadir}/icons/hicolor/64x64/apps/com.system76.CosmicSettings.svg
 
 
 %changelog
diff --git a/cosmic_apps.py b/cosmic_apps.py
index a122546..b892a16 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -628,7 +628,7 @@ COSMIC_SETTINGS = {
 "build": f"just build-vendored",
 "install": f"just rootdir=%{{buildroot}} install",
 "files": f"""
-{contains_app("cosmic-settings","com.system76.CosmicSettings",True, True, False, False, False, "")}
+{contains_app("cosmic-settings","com.system76.CosmicSettings",True, True, False, False, True, "")}
 {contains_(f"%{{_datadir}}/cosmic/com.system76.CosmicTheme.Dark.Builder/v1/*")}
 {contains_(f"%{{_datadir}}/cosmic/com.system76.CosmicTheme.Dark/v1/*")}
 {contains_(f"%{{_datadir}}/cosmic/com.system76.CosmicTheme.Light.Builder/v1/*")}
@@ -642,6 +642,13 @@ COSMIC_SETTINGS = {
 {contains_(f"%{{_datadir}}/icons/hicolor/scalable/status/illustration-appearance-light-style-square.svg")}
 {contains_(f"%{{_datadir}}/icons/hicolor/scalable/status/illustration-appearance-mode-dark.svg")}
 {contains_(f"%{{_datadir}}/icons/hicolor/scalable/status/illustration-appearance-mode-light.svg")}
+%{{_datadir}}/icons/hicolor/128x128/apps/com.system76.CosmicSettings.svg
+%{{_datadir}}/icons/hicolor/16x16/apps/com.system76.CosmicSettings.svg
+%{{_datadir}}/icons/hicolor/24x24/apps/com.system76.CosmicSettings.svg
+%{{_datadir}}/icons/hicolor/256x256/apps/com.system76.CosmicSettings.svg
+%{{_datadir}}/icons/hicolor/32x32/apps/com.system76.CosmicSettings.svg
+%{{_datadir}}/icons/hicolor/48x48/apps/com.system76.CosmicSettings.svg
+%{{_datadir}}/icons/hicolor/64x64/apps/com.system76.CosmicSettings.svg
 """,
 }
 

